{
  "name": "auth-service",
  "displayName": "[auth]",
  "license": "MIT",
  "engines": {
    "node": "18.17.1"
  },
  "slug": "auth",
  "version": "0.0.1",
  "private": true,
  "scripts": {
    "start": "node server.js",
    "debug": "nodemon --ignore './TMP/' --inspect server.js",
    "deploy": "./docker/deploy",
    "test": "DOTENV_CONFIG_PATH=.env.test jest --watchAll --verbose",
    "knex": "knex --knexfile=./data/knexfile.js"
  },
  "dependencies": {
    "@vscode/sqlite3": "^5.0.8",
    "archiver": "^3.0.0",
    "aws-sdk": "^2.6",
    "axios": "^0.19.1",
    "bcrypt": "^5.0.1",
    "body-parser": "^1.20.2",
    "cors": "^2.8.5",
    "dotenv": "^10.0.0",
    "ejs": "2.x",
    "errorhandler": "^1.5.1",
    "express": "^4.17.1",
    "find-config": "^1.0.0",
    "fs-extra": "^7.0.1",
    "generate-password": "^1.7.0",
    "insomnia-plugin-randomnumber": "^1.1.1",
    "jsonwebtoken": "^8.5.1",
    "knex": "^3.0.1",
    "markdown-yaml-metadata-parser": "^3.0.0",
    "node-fetch": "^2.6.0",
    "nodemailer": "^6.3.1",
    "nodemailer-mailgun-transport": "^2.0.2",
    "nodemailer-sendgrid-transport": "^0.2.0",
    "password-generator": "^2.2.3",
    "pg": "^8.7.3",
    "rimraf": "^3.0.2",
    "sqlite3": "^5.1.6",
    "uuid": "^9.0.0"
  },
  "devDependencies": {
    "@faker-js/faker": "^8.0.1",
    "async": "^3.2.3",
    "eslint-config-prettier": "^6.0.0",
    "eslint-plugin-prettier": "^3.1.0",
    "jest": "^29.5.0",
    "supertest": "^6.3.3"
  },
  "jest": {
    "testTimeout": 1000,
    "setupFiles": [
      "dotenv/config"
    ],
    "setupFilesAfterEnv": [
      "./jest/jest.setup.js"
    ],
    "testPathIgnorePatterns": [
      "common.js"
    ]
  }
}
